# pandas.arrays.IntervalArray.contains

IntervalArray.contains(other)

  Check elementwise if the Intervals contain the value.

  Return a boolean mask whether the value is contained in the Intervals of the IntervalArray.

  New in version 0.25.0.

  Parameters
    other scalar

      The value to check whether it is contained in the Intervals.

  Returns
    boolean array

  See also

  `Interval.contains`

    Check whether Interval object contains value.

  `IntervalArray.overlaps`

    Check if an Interval overlaps the values in the IntervalArray.

  Examples

      >>> intervals = pd.arrays.IntervalArray.from_tuples([(0, 1), (1, 3), (2, 4)])
      >>> intervals
      <IntervalArray>
      [(0, 1], (1, 3], (2, 4]]
      Length: 3, dtype: interval[int64, right]

      >>> intervals.contains(0.5)
      array([ True, False, False])